Subject: bug#23182: closed (Re: bug#23182: 25.0.92; Emacs hangs if you :propertize a minor-mode lighter with a display property)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Apr 2016 19:20:01 +0000

Your bug report

#23182: 25.0.92; Emacs hangs if you :propertize a minor-mode lighter with a display property

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23182: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23182
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23182: 25.0.92; Emacs hangs if you :propertize a minor-mode lighter with a display property
From: Artur Malabarba <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Apr 2016 19:18:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Indeed. I just rebuilt and it seems to be gone. Sorry about the noise.

Subject: 25.0.92; Emacs hangs if you :propertize a minor-mode lighter with a display property
From: Artur Malabarba <[email-masked]>
To: [email-masked]
Date: Fri, 01 Apr 2016 10:45:43 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>From emacs -q evaluate the following:

    (define-minor-mode buggy nil t (:propertize "HI" display "there"))

Emacs will hang completely (`C-g' does nothing and I'm forced to `kill
-9' it).

Oddly enough, it seems the issue does not happen if I'm using a theme
whose `mode-line' face has a background property.

ps: I understand there's no reason to define a minor-mode lighter like
the above, but I ran into this issue while applying other display
properties to arbitrary minor modes.